Return the key of the current element

- « Iterator::current

- Iterator::next »

- PHP Manual
- Iterator
- Return the key of the current element

# Iterator::key

(PHP 5, PHP 7, PHP 8)

Iterator::key — Return the key of the current element

### Description

public Iterator::key(): mixed

Returns the key of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns scalar on success, or `null` on failure.

### Errors/Exceptions

Issues `E_NOTICE` on failure.